  @echo off
  echo.
  echo Install.Bat v1.11
  echo EvalFile installation batch file
  echo.
  
  if "%1"=="/?" goto Help
  if "%1"=="/h" goto Help
  if "%1"=="/H" goto Help
  if "%1"==""   goto Help
  if "%2"==""   goto Help
  if "%3"==""   goto Help
  goto Skip_Help

:Help
  echo Syntax:  INSTALL.BAT bbs_dir door_number doorway_dir
  echo.
  echo bbs_dir      -- the main directory for your BBS
  echo door_number  -- the door batch number (1 for Door1.Bat)
  echo doorway_dir  -- the directory of the serial i/o utility DoorWay
  echo.
  echo Example:  
  echo INSTALL C:\WILDCAT 1 C:\WILDCAT\DOOR\DOORWAY
  echo.
  echo This batch file will only install EvalFile for Node 1.
  echo.
  goto Finished

:Skip_Help
  
  echo Press CONTROL-C now if you do NOT want to install EvalFile.
  echo Otherwise, press ENTER.
  echo.
  pause
  
  echo --------------------------------------------------------------
  echo.
  echo Checking for %3\DoorWay.Exe...
  if not exist %3\DoorWay.Exe goto Doorway_Missing
  
  echo --------------------------------------------------------------
  echo.
  echo Please press ENTER to create file %1\Batch\Door%2.Bat...
  echo.
  pause
  if not exist %1\Batch\Door%2.Bat goto Batch
  echo Copying old Door%2.Bat to Door%2.Old...
  copy %1\Batch\Door%2.Bat %1\Batch\Door%2.Old > nul
:Batch
  echo Creating %1\Batch\Door%2.Bat...
  echo rem %1\Batch\Door%2.Bat -- EvalFile door batch file > %1\Batch\Door%2.Bat
  echo cd %1\Door\EvalFile >> %1\Batch\Door%2.Bat
  echo copy %1\WCWork\Node1\Door.Sys >> %1\Batch\Door%2.Bat
  echo copy %1\WCWork\Node1\UserRec.Bin >> %1\Batch\Door%2.Bat
  echo %3\Doorway Sys /B:MZ /V:D /P:EvalFile.Exe >> %1\Batch\Door%2.Bat
  echo copy UserRec.Bin %1\WCWork\Node1\UserRec.Bin >> %1\Batch\Door%2.Bat
  echo del Door.Sys >> %1\Batch\Door%2.Bat
  echo del UserRec.Bin >> %1\Batch\Door%2.Bat
  
  echo --------------------------------------------------------------
  echo.
  echo Please press ENTER to create the directories to
  echo %1\Door\EvalFile\FileUser.
  echo.
  echo You will see some errors if some of the directories already exist.
  echo.
  pause
  echo.
  echo Making directory %1\Door...
  md %1\Door
  echo Making directory %1\Door\EvalFile...
  md %1\Door\EvalFile
  echo Making directory %1\Door\EvalFile\FileUser...
  md %1\Door\EvalFile\FileUser
  
  echo --------------------------------------------------------------
  echo.
  echo Please press ENTER to copy files to %1\Door\EvalFile.
  pause
  echo.
  echo Copying EvalFile.Exe...
  copy EvalFile.Exe %1\Door\EvalFile\EvalFile.Exe > nul
  echo Copying EvalFile.Doc...
  copy EvalFile.Doc %1\Door\EvalFile\EvalFile.Doc > nul
  echo Copying Install.Bat (it might come in handy later)...
  copy Install.Bat  %1\Door\EvalFile\Install.Bat  > nul
  
  echo --------------------------------------------------------------
  echo.
  echo Please press ENTER to create the nightly event batch file 
  echo %1\Batch\EvalFile.Bat.
  echo.
  pause
  echo.
  if not exist %1\Batch\EvalFile.Bat goto Event
  echo Copying old EvalFile.Bat to EvalFile.Old...
  copy %1\Batch\EvalFile.Bat %1\Batch\EvalFile.Old > nul
:Event
  echo Creating %1\Batch\EvalFile.Bat...
  echo rem EvalFile.Bat -- nightly event batch file > %1\Batch\EvalFile.Bat
  echo cd %1\Door\EvalFile >> %1\Batch\EvalFile.Bat
  echo copy %1\Activity.1 Activity.Log >> %1\Batch\EvalFile.Bat
  echo copy %1\Data\AllFiles.Dat >> %1\Batch\EvalFile.Bat
  echo copy %1\FileArea.Dat >> %1\Batch\EvalFile.Bat
  echo copy %1\MakeWild.Dat >> %1\Batch\EvalFile.Bat
  echo EvalFile.Exe >> %1\Batch\EvalFile.Bat
  echo rem You may want to delete afterwards. >> %1\Batch\EvalFile.Bat
  echo rem del Activity.Log >> %1\Batch\EvalFile.Bat
  echo rem del AllFiles.Dat >> %1\Batch\EvalFile.Bat
  echo rem del FileArea.Dat >> %1\Batch\EvalFile.Bat
  echo rem del MakeWild.Dat >> %1\Batch\EvalFile.Bat
  echo rem The following line creates a commented copy of >> %1\Batch\EvalFile.Bat
  echo rem EvalFile.Txt for your users to download from >> %1\Batch\EvalFile.Bat
  echo rem %1\File\Misc.  >> %1\Batch\EvalFile.Bat
  echo rem You may want to change the target directory. >> %1\Batch\EvalFile.Bat
  echo copy EvalFile.Hdr + EvalFile.Txt %1\File\Misc\EvalFile.Txt >> %1\Batch\EvalFile.Bat
  echo rem The following line creates a copy of >> %1\Batch\EvalFile.Bat
  echo rem AllFiles.Txt for your users to download from >> %1\Batch\EvalFile.Bat
  echo rem %1\File\Misc.  >> %1\Batch\EvalFile.Bat
  echo rem You may want to change the target directory. >> %1\Batch\EvalFile.Bat
  echo copy AllFiles.Txt %1\File\Misc\AllFiles.Txt >> %1\Batch\EvalFile.Bat

  echo --------------------------------------------------------------
  echo.
  echo Please press ENTER to create %1\Door\EvalFile\EvalFile.Cfg.
  echo.
  pause
  echo.
  if not exist %1\Door\EvalFile\EvalFile.Cfg goto Config
  echo Your old %1\Door\EvalFile\EvalFile.Cfg
  echo will not be over-written.  
  echo Installation of the new EvalFile.Cfg will be skipped.
  echo.
  pause
  goto No_Config
:Config
  echo Creating %1\Door\EvalFile\EvalFile.Cfg...
  echo Unregistered > %1\Door\EvalFile\EvalFile.Cfg
  echo 1.1         >> %1\Door\EvalFile\EvalFile.Cfg
  echo 30          >> %1\Door\EvalFile\EvalFile.Cfg
:No_Config

  echo --------------------------------------------------------------
  echo.
  echo Please press ENTER to create %1\Door\EvalFile\EvalFile.Hdr.
  echo.
  pause
  echo.
  if not exist %1\Door\EvalFile\EvalFile.Hdr goto Header
  echo Copying old EvalFile.Hdr to Eval_Hdr.Old...
  copy %1\Door\EvalFile\EvalFile.Cfg %1\Door\EvalFile\Eval_Hdr.Old > nul
:Header
  echo Creating %1\Door\EvalFile\EvalFile.Hdr...
  echo EvalFile.Txt > %1\Door\EvalFile\EvalFile.Hdr
  echo.                                                                   >> %1\Door\EvalFile\EvalFile.Hdr
  echo This listing of tabulated evaluations of downloaded files by users >> %1\Door\EvalFile\EvalFile.Hdr
  echo was generated using the BBS door EvalFile.  To order EvalFile for  >> %1\Door\EvalFile\EvalFile.Hdr
  echo your BBS, contact David Croft via electronic mail at the           >> %1\Door\EvalFile\EvalFile.Hdr
  echo MSI HQ BBS (805) 873-2400 or at the Wyrm BBS (818) 793-2426.       >> %1\Door\EvalFile\EvalFile.Hdr
  echo.                                                                   >> %1\Door\EvalFile\EvalFile.Hdr
  echo A calculated rating of 1.0 is the best and 0.0 is the worst.       >> %1\Door\EvalFile\EvalFile.Hdr
  echo The rating is followed by the count of users who have currently    >> %1\Door\EvalFile\EvalFile.Hdr
  echo evaluated the file.  For files with less than 30 evaluations, the  >> %1\Door\EvalFile\EvalFile.Hdr
  echo rating is biased towards 1.0.                                      >> %1\Door\EvalFile\EvalFile.Hdr
  echo.                                                                   >> %1\Door\EvalFile\EvalFile.Hdr
  echo Rating    Count    File                                            >> %1\Door\EvalFile\EvalFile.Hdr
  echo -------   ------   ------------                                    >> %1\Door\EvalFile\EvalFile.Hdr

  echo --------------------------------------------------------------
  echo.
  echo Installation is complete.  Now you will need to
  echo.
  echo 1) add a nightly event to call the batch file
  echo    %1\Batch\EvalFile.Bat;
  echo 2) possibly edit EvalFile.Bat to copy its output files
  echo    EvalFile.Txt and AllFiles.Txt
  echo    to a download directory or a bulletin directory instead of
  echo    %1\File\Misc;
  echo 3) test the event;
  echo 4) enable the door using %1\MAKEWILD.EXE;
  echo 5) test the door;
  echo 6) if registered, edit %1\Door\EvalFile\EvalFile.Cfg; and
  echo 7) edit %1\Disp\Doors.BBS
  echo    to let your user know that a new door is available.
  echo.
  echo Additional information is available in the text file
  echo %1\Door\EvalFile\EvalFile.Doc.

  goto Finished

:DoorWay_Missing
  echo The shareware serial I/O redirection utility DoorWay.Exe
  echo could not be found in %3.
  echo Please check the path or install this utility.
  echo If you currently do not have it, you can download it from
  echo the MSI HQ BBS (805) 873-2400 as DOORWAY.ZIP or DRWY222.ZIP.
  goto Abort

:Abort
  echo.
  echo Installation of EvalFile has been aborted.

:Finished
  echo.
